Skip to main content
POST
Add Person to Flow

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

campaignId
integer<int64>
required

Unique identifier of the flow that person will be added to

Query Parameters

phone
string

Person's phone number

email
string

Person's email address

externalId
string

Unique ID for the person from an external system

Body

application/json

Contains the data used for person creation (if it does not exist) or partial update (if it exists)

personData
IamPersonV2 · object | null
required

Person attributes. In case a person with either the specified externalId or contactInformation already exists in the People, the persons will be automatically merged. See endpoint description for more info.

flowVariables
object | null

Response

OK